linkedmultiget {ecolitk} | R Documentation

## A function to look for values across linked environments

### Description

A function to look for values across linked environments.

### Usage

    linkedmultiget(x, envir.list = list(), unique = TRUE)

### Arguments

`x` | The keys in the first environment in the list.
`envir.list` | A list of environments.
`unique` | Simplify the list returned by ensuring that the values for each key are unique.

### Details

Environments can be considered as hashtables. The keys are obviously strings, but in some cases the associated values are also strings. This is the case for annotation environments (as built with the package `AnnBuilder`). This function helps to look for values across several environments: the keys have associated values in a first environment, these values are used as keys in the second environments, etc...

### Value

A list of length the length of `x`.

### Author(s)

Laurent Gautier

### See Also

`mget`

### Examples

    data(ecoligenomeBNUM)
    data(ecoligenomeBNUM2MULTIFUN)
    data(multiFun)

    ## get 5 Affymetrix IDs
    set.seed(456)
    my.affyids <- sample(ls(ecoligenomeBNUM), 5)

    ## get the MULTIFUN annotations for them
    r <- linkedmultiget(my.affyids, list(ecoligenomeBNUM,
                        ecoligenomeBNUM2MULTIFUN, multiFun))

    print(r)

[Package ecolitk version 1.14.0 Index]